Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.raster
Class ImportIndexIntoDB

    java.lang.Object
      org.deegree.tools.raster.ImportIndexIntoDB

    public class ImportIndexIntoDB

extends Object

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Nested Class Summary
`(package private) class` | `ImportIndexIntoDB.PyramidHelper`

Constructor Summary
`ImportIndexIntoDB(String driver, String url, String user, String pw, String table, String rootDir)`
`ImportIndexIntoDB(String driver, String url, String user, String pw, String table, String rootDir, boolean append, boolean switchDir)`

Method Summary
`static void` | `main(String[] args)`
`void` | `perform()` main method to perform indexing of raster tile via a spatial DB

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportIndexIntoDB

    public ImportIndexIntoDB(String driver,
                             String url,
                             String user,
                             String pw,
                             String table,
                             String rootDir)

Parameters:
  `driver` -
  `url` -
  `user` -
  `pw` -
  `table` -
  `rootDir` -

### ImportIndexIntoDB

    public ImportIndexIntoDB(String driver,
                             String url,
                             String user,
                             String pw,
                             String table,
                             String rootDir,
                             boolean append,
                             boolean switchDir)

Parameters:
  `driver` -
  `url` -
  `user` -
  `pw` -
  `table` -
  `rootDir` -
  `append` -
  `switchDir` -

Method Detail

### perform

    public void perform()
                 throws IOException,
                        DBPoolException,
                        SQLException,
                        DBaseException,
                        GeometryException,
                        SAXException,
                        TransformerException

  main method to perform indexing of raster tile via a spatial DB

  Throws:
    `IOException`
    `DBPoolException`
    `SQLException`
    `DBaseException`
    `GeometryException`
    `SAXException`
    `TransformerException`

### main

    public static void main(String[] args)
                     throws Exception

  Parameters:
    `args` -
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org